Bug 231223 - Covered packages - use Export-Package only when present
Covered packages - use Export-Package only when present
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Netigso
7.3.1
PC Linux
: P1 (vote)
: 7.4
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on: 229426
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 14:28 UTC by Jaroslav Tulach
Modified: 2013-06-19 07:39 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
For Tomáš's consideration (14.46 KB, patch)
2013-06-13 14:30 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2013-06-13 14:28:47 UTC
Bug 229426 would benefit from using Export-Package when it is present, but otherwise fallback to classical method of computing covered packages.
Comment 1 Jaroslav Tulach 2013-06-13 14:30:52 UTC
Created attachment 135762 [details]
For Tomáš's consideration
Comment 2 Jaroslav Tulach 2013-06-13 14:32:01 UTC
For NetBeans 7.4 + possibly to be transplanted to JDev
Comment 3 Tomas Pavek 2013-06-13 17:31:20 UTC
Looks nice, setting FIND_COVERED_PKGS to exportedIfPresent is exactly what we need. Then we can use OSGi bundles that don't export packages but still can register services, and mix them with bundles that export packages (thus for performance reasons their packages don't have to be discovered).
Comment 4 Jaroslav Tulach 2013-06-14 05:58:15 UTC
OK. Sent to JDev:

changeset:   563cdcfc5781
branch:      jdev_abrams
parent:      f9c322a6c6f2
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Fri Jun 14 07:55:25 2013 +0200
summary:     #231223: Mixed mode of finding covered packages

yet needs to be merged to NetBeans as well.
Comment 5 Jaroslav Tulach 2013-06-18 12:04:02 UTC
Unless there are objections, I merge to default branch for 7.4.
Comment 6 Jaroslav Tulach 2013-06-19 07:39:48 UTC
71e62e94454b
tag:         tip
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Wed Jun 19 09:38:26 2013 +0200
summary:     Transplant of releases' 563cdcfc5781 to 7.4


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo